# build_log_simplifier validation failures

If build_log_simplifier failed your build, then your change caused the AndroidX build to generate new build output messages

# Why is new build output important?

   *   This new output might contain new warnings. If you can fix these issues, please do so

   *   Developers in the future might encounter unrelated build failures, and could have difficulty diagnosing them due to being distracted/confused by the output that you would be adding now

# How can I update the baseline file?

##   Where is the baseline file?

   *   Exemptions for output that is always/deterministically generated by the build go in [messages.ignore](https://android.googlesource.com/platform/frameworks/support/+/androidx-master-dev/development/build_log_simplifier/messages.ignore)

       *   We may periodically garbage collect exemptions in this file via [gc.sh](https://android.googlesource.com/platform/frameworks/support/+/androidx-master-dev/development/build_log_simplifier/gc.sh), so they may be automatically removed after their underlying issue is fixed

       *   In most cases, this will be the correct file to update

   *   Exemptions for output that is only sometimes (flakily) generated by the build go in [message-flakes.ignore](https://android.googlesource.com/platform/frameworks/support/+/androidx-master-dev/development/build_log_simplifier/message-flakes.ignore)

       *   These exemptions will not be automatically garbage collected

##   What changes do I make to the baseline file?

   *   You may copy the autogenerated, suggested exemptions file. This is probably the easiest option

       *    If your build failed on the build server, it will list the filepath of the .ignore file it generated

           *   To download this file from the build server via your browser:

               *   Press the left arrow to go back to the screen that lists build server artifacts

               *   Press "ctrl-f" and search for the file that you are looking for (it should be something like "gradle.log.ignore")

               *   Click the file to download it

        *    If your build failed on your computer, you can read its instructions about where to copy the suggested exemptions file from

    *   You can manually edit the exemptions file

        *   These build message exemptions files are each a list of regular expressions and comments, which you can modify manually
